Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# VLCClusterliste Class Reference

`#include <VLCClusterliste.h>`

List of all members.

## Public Member Functions
| VLCClusterliste ()
void | addCluster (VLCCluster c, std::list< std::list< VLCCluster >::iterator >::iterator i, bool v)
void | deleteAll ()
void | removeCluster (std::list< VLCCluster >::iterator rc)
std::list< Vector2< double > > | getMidpoints ()
std::list< VLCCluster >::iterator | getCListBegin ()
std::list< VLCCluster >::iterator | getCListEnd ()
std::list< std::list< VLCCluster >::iterator >::iterator | getVNaviBegin ()
std::list< std::list< VLCCluster >::iterator >::iterator | getVNaviEnd ()
std::list< std::list< VLCCluster >::iterator >::iterator | getHNaviBegin ()
std::list< std::list< VLCCluster >::iterator >::iterator | getHNaviEnd ()
bool | getEmpty ()
## Private Attributes
std::list< VLCCluster > | clist
std::list< std::list< VLCCluster >::iterator > | vNavi
std::list< std::list< VLCCluster >::iterator > | hNavi
std::list< Vector2< double > > | midlist
std::list< VLCCluster >::iterator | cIter
std::list< std::list< VLCCluster >::iterator >::iterator | vhIter
std::list< Vector2< double > >::iterator | mIter
bool | posGefunden

## Constructor & Destructor Documentation

VLCClusterliste::VLCClusterliste | ( |  | ) |

| Definition at line 4 of file VLCClusterliste.cpp.

## Member Function Documentation

void VLCClusterliste::addCluster | ( | VLCCluster | c,
|  | std::list< std::list< VLCCluster >::iterator >::iterator | i,
|  | bool | v
| ) |

| Definition at line 14 of file VLCClusterliste.cpp. Referenced by VLCClustering::addLine(), VLCClustering::Cluster1(), VLCClustering::clusterFinal(), VLCClustering::markH(), and VLCClustering::markV().

void VLCClusterliste::deleteAll | ( |  | ) |

| Definition at line 148 of file VLCClusterliste.cpp. Referenced by VLCClustering::reset().

void VLCClusterliste::removeCluster | ( | std::list< VLCCluster >::iterator | rc | ) |

| Definition at line 160 of file VLCClusterliste.cpp. Referenced by VLCClustering::clusterFinal().

list< Vector2< double > > VLCClusterliste::getMidpoints | ( |  | ) |

| Definition at line 179 of file VLCClusterliste.cpp. Referenced by VLCClustering::getMidpoint(), and VLCClustering::getSize().

list< VLCCluster >::iterator VLCClusterliste::getCListBegin | ( |  | ) |

| Definition at line 190 of file VLCClusterliste.cpp.

list< VLCCluster >::iterator VLCClusterliste::getCListEnd | ( |  | ) |

| Definition at line 196 of file VLCClusterliste.cpp.

list< list< VLCCluster >::iterator >::iterator VLCClusterliste::getVNaviBegin | ( |  | ) |

| Definition at line 203 of file VLCClusterliste.cpp. Referenced by VLCClustering::addLine(), VLCClustering::clusterFinal(), VLCClustering::getClusterX(), VLCClustering::getMidpointX(), and VLCClustering::prepV().

list< list< VLCCluster >::iterator >::iterator VLCClusterliste::getVNaviEnd | ( |  | ) |

| Definition at line 208 of file VLCClusterliste.cpp. Referenced by VLCClustering::prepV().

list< list< VLCCluster >::iterator >::iterator VLCClusterliste::getHNaviBegin | ( |  | ) |

| Definition at line 214 of file VLCClusterliste.cpp. Referenced by VLCClustering::clusterFinal(), VLCClustering::getClusterY(), VLCClustering::getMidpointY(), and VLCClustering::prepH().

list< list< VLCCluster >::iterator >::iterator VLCClusterliste::getHNaviEnd | ( |  | ) |

| Definition at line 221 of file VLCClusterliste.cpp. Referenced by VLCClustering::prepH().

bool VLCClusterliste::getEmpty | ( |  | ) |

| Definition at line 227 of file VLCClusterliste.cpp. Referenced by VLCClustering::addLine().

## Member Data Documentation

std::list<VLCCluster> VLCClusterliste::clist`[private]`

| Definition at line 11 of file VLCClusterliste.h.

std::list<std::list<VLCCluster>::iterator> VLCClusterliste::vNavi`[private]`

| Definition at line 16 of file VLCClusterliste.h.

std::list<std::list<VLCCluster>::iterator> VLCClusterliste::hNavi`[private]`

| Definition at line 17 of file VLCClusterliste.h.

std::list<Vector2<double> > VLCClusterliste::midlist`[private]`

| Definition at line 20 of file VLCClusterliste.h.

std::list<VLCCluster>::iterator VLCClusterliste::cIter`[private]`

| Definition at line 23 of file VLCClusterliste.h.

std::list<std::list<VLCCluster>::iterator>::iterator VLCClusterliste::vhIter`[private]`

| Definition at line 27 of file VLCClusterliste.h.

std::list<Vector2<double> >::iterator VLCClusterliste::mIter`[private]`

| Definition at line 31 of file VLCClusterliste.h.

bool VLCClusterliste::posGefunden`[private]`

| Definition at line 34 of file VLCClusterliste.h.

The documentation for this class was generated from the following files:

- Modules/ImageProcessor/VLCImageProcessor/VLCClusterliste.h
- Modules/ImageProcessor/VLCImageProcessor/VLCClusterliste.cpp